> For the complete documentation index, see [llms.txt](https://developers.alephee.com/v2/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developers.alephee.com/v2/product-listings/put-methods/update-product-listings/response.md).

# Type specifications

## ProductListingUpdate

| Property             | Type                        | Description                                                                                                                                                         |
| -------------------- | --------------------------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| Brand                | string                      | Product Brand                                                                                                                                                       |
| SKU                  | string                      | Product SKU                                                                                                                                                         |
| Marketplace          | integer                     | <p>Marketplace in which the product listing is placed on.</p><p> </p><p>See marketplaces ID section and the GET marketplaces endpoint for the coding reference.</p> |
| ExternalPublications | \[ExternalPublicationsList] | List of the marketplace publications ID for updating status.                                                                                                        |
| Filtering            | PListingsFilteringType      | <p>Several filtering options for narrowing the product listings candidates.</p><p> </p>                                                                             |
| Price                | PListingPricesType          | Available options to change the prices to the product listings.                                                                                                     |

### **ExternalPublicationsList**

| Property | Type   | Description                                                                                                           |
| -------- | ------ | --------------------------------------------------------------------------------------------------------------------- |
| ID       | string | <p>Marketplace assigned ID for the product listing.</p><p> </p><p>The ID depends on each one of the marketplaces.</p> |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.alephee.com/v2/product-listings/put-methods/update-product-listings/response.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
